Name:		ql2xxx-firmware
Summary: 	Firmware for qlogic 2xxx devices
Version:	1.01.01
Release:	0.1%{?dist}
License:	Redistributable, no modification permitted
Group:		System Environment/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2100_fw.bin
Source1:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2200_fw.bin
Source2:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2300_fw.bin
Source3:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2322_fw.bin
Source4:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2400_fw.bin
Source5:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2500_fw.bin
Source6:	ftp://ftp.qlogic.com/outgoing/linux/firmware/LICENSE
URL:		ftp://ftp.qlogic.com/outgoing/linux/firmware/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Firmware for qlogic  2100, 2200, 2300, 2322, 2400, 2500 devices

%prep
%setup -n %{name} -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .
cp %{SOURCE5} .
cp %{SOURCE6} .


%build
# Firmware, do nothing.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware/

install -m0644 ql2100_fw.bin $RPM_BUILD_ROOT/lib/firmware/
install -m0644 ql2200_fw.bin $RPM_BUILD_ROOT/lib/firmware/
install -m0644 ql2300_fw.bin $RPM_BUILD_ROOT/lib/firmware/
install -m0644 ql2322_fw.bin $RPM_BUILD_ROOT/lib/firmware/
install -m0644 ql2400_fw.bin $RPM_BUILD_ROOT/lib/firmware/
install -m0644 ql2500_fw.bin $RPM_BUILD_ROOT/lib/firmware/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
/lib/firmware/ql2100_fw.bin
/lib/firmware/ql2200_fw.bin
/lib/firmware/ql2300_fw.bin
/lib/firmware/ql2322_fw.bin
/lib/firmware/ql2400_fw.bin
/lib/firmware/ql2500_fw.bin

%changelog
* Wed Sep 15 2010 Guru Anbalagane <guru.anbalagane@oracle.com> 1.01.01.0.1.el5
- Initial package for Fedora
